Bug 1420195 - Migration from RHEL7.4 -> RHEL7.3.z failed with rtl8139 nic card
Summary: Migration from RHEL7.4 -> RHEL7.3.z failed with rtl8139 nic card
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Dr. David Alan Gilbert
QA Contact: huiqingding
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 05:35 UTC by huiqingding
Modified: 2017-08-02 03:37 UTC (History)
5 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1420216 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:44:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description huiqingding 2017-02-08 05:35:38 UTC
Description of problem:
Migration failed from rhel7.4 to rhel7.3.z with rtl8139 nic card

Version-Release number of selected component (if applicable):
Source host(rhel7.4):
kernel-3.10.0-558.el7.x86_64
qemu-kvm-rhev-2.8.0-3.el7.x86_64

Destination host(rhel7.3.z):
kernel-3.10.0-514.11.1.el7.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.3.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot a rhel7.3 guest in source host:
# /usr/libexec/qemu-kvm \
-name rhel7 \
-S -machine pc-i440fx-rhel7.3.0,accel=kvm,usb=off \
-m 2048 \
-cpu Opteron_G4,check \
-realtime mlock=off \
-smp 4,maxcpus=4,sockets=4,cores=1,threads=1 \
-uuid 49a3438a-70a3-4ba8-92ce-3a05e0934608 \
-nodefaults \
-rtc base=utc,driftfix=slew \
-boot order=c,menu=on,strict=on \
-drive file=/mnt/rhel7.3.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,serial=f65effa5-90a6-47f2-8487-a9f64c95d4f5,cache=none,discard=unmap,werror=stop,rerror=stop,aio=threads \
-device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 \
-netdev tap,id=hostnet2,vhost=on,script=/etc/qemu-ifup \
-device rtl8139,netdev=hostnet2,id=virtio-net-pci2,mac=4e:63:28:bc:c1:75,bus=pci.0,addr=0x5,multifunction=off \
-monitor stdio \
-qmp tcp:0:4466,server,nowait -serial unix:/tmp/ttym,server,nowait \
-spice port=5910,addr=0.0.0.0,disable-ticketing,seamless-migration=on \
-device qxl-vga,id=video0,ram_size=134217728,vram_size=67108864,vgamem_mb=16,bus=pci.0,addr=0x2 \

2.boot the guest in destination host with "-incoming tcp:0:5800"

3.do migration
(qemu)migration -d tcp:10.73.72.58:5800

Actual results:
after step3, migration failed and destination qemu-kvm quits with
(qemu) qemu-kvm: savevm: unsupported version 5 for '0000:00:05.0/rtl8139' v4
qemu-kvm: load of migration failed: Invalid argument

Expected results:
migration can be finished normally.

Additional info:

Comment 1 huiqingding 2017-02-08 09:23:23 UTC
Do vmstate check and the result is as following:
# python vmstate-static-checker.py -s rhel7.3.json_7.3 -d rhel7.4.json_7.3 
Section "e1000e", Description "e1000e": expected field "intr_state", got "core.rxbuf_min_shift"; skipping rest
Section "rtl8139", Description "rtl8139": expected field "tally_counters", got "tally_counters.TxOk"; skipping rest

Comment 3 Dr. David Alan Gilbert 2017-02-09 15:19:36 UTC
Yep, easily reproduced by :

./x86_64-softmmu/qemu-system-x86_64 -machine pc-i440fx-rhel7.3.0,accel=kvm,usb=off -device rtl8139 -nographic

Comment 4 Dr. David Alan Gilbert 2017-02-09 16:59:34 UTC
Posted downstream:
migcompat/rtl8139: Work around version bump

Comment 5 Miroslav Rezanina 2017-02-20 10:07:24 UTC
Fix included in qemu-kvm-rhev-2.8.0-5.el7

Comment 7 huiqingding 2017-02-22 06:32:41 UTC
Reproduce this bug using:
Source host(rhel7.4):
kernel-3.10.0-572.el7.x86_64
qemu-kvm-rhev-2.8.0-3.el7.x86_64

Destination host(rhel7.3.z):
kernel-3.10.0-514.11.1.el7.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.6.x86_64

Reproduce steps as comment #0, migration is failed and qemu-kvm of destination host quits with error:
(qemu) qemu-kvm: savevm: unsupported version 5 for '0000:00:05.0/rtl8139' v4
qemu-kvm: load of migration failed: Invalid argument

Verify this bug using:
Source host(rhel7.4):
kernel-3.10.0-572.el7.x86_64
qemu-kvm-rhev-2.8.0-5.el7.x86_64

Destination host(rhel7.3.z):
kernel-3.10.0-514.11.1.el7.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.6.x86_64

Test as comment #0, migration can be finished normally and after migration, guest can ping other hosts.

Comment 8 huiqingding 2017-02-22 06:33:26 UTC
Based on comment #7. set this bug to be verified.

Comment 9 Dr. David Alan Gilbert 2017-03-29 10:22:05 UTC
Paolo asked for changes in a later rereview->assigned

Comment 10 Dr. David Alan Gilbert 2017-03-29 11:01:21 UTC
Posted v2 downstream

Comment 11 huiqingding 2017-05-11 05:53:36 UTC
Verify this bug using:
Source host(rhel7.4):
kernel-3.10.0-664.el7.x86_64
qemu-kvm-rhev-2.9.0-3.el7.x86_64

Destination host(rhel7.3.z):
kernel-3.10.0-514.18.1.el7.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.9.x86_64

Test as comment #0, migration can be finished normally and after migration, guest can ping other hosts.

Comment 12 huiqingding 2017-05-11 05:54:43 UTC
Based on comment #11, set this bug to be verified.

Comment 14 errata-xmlrpc 2017-08-01 23:44:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 01:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 16 errata-xmlrpc 2017-08-02 02:14:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 17 errata-xmlrpc 2017-08-02 02:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 18 errata-xmlrpc 2017-08-02 03:19:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 19 errata-xmlrpc 2017-08-02 03:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.